package com.bytedance.android.live.decoration;

import X.H5d;
import com.bytedance.android.live.BaseDialogFragmentV2;
import com.bytedance.android.livesdk.LiveDialogFragment;
import com.bytedance.android.livesdk.model.RoomDecoration;
import com.bytedance.android.livesdk.model.RoomSticker;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import com.bytedance.ies.sdk.widgets.LiveWidget;
import java.util.List;

public class DecorationServiceDummy implements IDecorationService {
    static {
        Covode.recordClassIndex(5679);
    }

    public LiveWidget getDecorationWidget() {
        return null;
    }

    public Class<? extends H5d<List<RoomDecoration>>> getDonationDecorationsEvent() {
        return null;
    }

    public Class<? extends LiveRecyclableWidget> getDonationStickerAnchorWidget() {
        return null;
    }

    public BaseDialogFragmentV2 getLiveStickerDonationListDialog() {
        return null;
    }

    public LiveDialogFragment getPropsStickerDialog() {
        return null;
    }

    public Class<? extends H5d<RoomSticker>> getRoomStickersEvent() {
        return null;
    }

    public LiveWidget getSelectDonationStickerWidget() {
        return null;
    }

    public void onInit() {
    }
}
